£1,179.41– £1,440.99
Compare 3 prices
Zyxel · Network Switch
Zyxel GS1920-48HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black price in United Kingdom
Model GS1920-48HPV2MPN GS192048HPV2-GB0103FMPN 170511MPN GS192048HPV2-EU0101FEAN 4718937601974EAN 4718937601981
- Memory256 MB
- Noise26.5 dB
- Weight4.1 kg
- ColourBlack
Lowest price incl. delivery
£479.80
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £479.80 – £602.99
- Save up to £123.19 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 5 Oct 2026, 18:25 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 5 Oct 2026, 18:25 UTC
Save up to £123.19 (20%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 5 Oct 2026, 18:25 UTC
- PCHUB.UKLowest priceZyxel GS1920-48HPv2 Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Po In stockFree shipping£479.80incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeZyxel GS1920-48HPv2 Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black In stockFree shipping£602.99incl. free shipping+£123.19 (26%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukZyxel GS1920-48HPv2 Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Po In stockShipping not stated£485.42item price, shipping extra+£5.62 (1%) vs lowestGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 5 Oct 2026, 18:25 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- GS1920-48HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Full name
- Zyxel GS1920-48HPV2 Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black
- Manufacturer part number
- GS192048HPV2-GB0103F, 170511, GS192048HPV2-EU0101F, GS192048HPV2-GB0101F, 4108, GS1920-48HPV2
- EAN / UPC
- 4718937601974, 4718937601981, 760559125592, 760559127039, 4718937610181
- Category
- Network Switch
68 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Quality of Service (QoS) support | Yes |
| ARP inspection | Yes |
| System event log | Yes |
| MIB support | RFC 1066, RFC 1213, RFC 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011.2012,2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819,2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 44 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Combo SFP ports quantity | 4 |
| SFP module slots quantity | 2 |
| Fiber optic connector | SFP |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 100BASE-TX, 1000BASE-T |
| Flow control support | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Private VLAN, Voice VLAN, Protocol-based VLAN, MAC address-based VLAN, Port-based VLAN, IP subnet–based VLAN |
Optical fiber
| Fiber ethernet cabling technology | 1000BASE-X |
|---|
Data transmission
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 100 Gbit/s |
| Forwarding rate | 74 Mpps |
| Packet buffer memory | 1.5 MB |
Security
| DHCP features | DHCP snooping, DHCP relay, DHCPv6 relay, DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | Guest VLAN, Port-based authentication |
| Authentication type | IEEE 802.1x, RADIUS |
| CPU defense | Yes |
| IP-MAC-Port binding | Yes |
| MAC address filtering | Yes |
| Password protection | Yes |
| Queue scheduling algorithms | SPQ, WFQ, Weighted Round Robin (WRR) |
| Security algorithms | 802.1x RADIUS, SNMP, SNMPv3 |
Multicast features
| Multicast support | Yes |
|---|
Design
| Rack mounting | No |
|---|---|
| Product colour | Black |
| Safety | LVD, BSMI |
| Electromagnetic compatibility | FCC 15 A, CE A, BSMI EMC |
Performance
| Internal memory | 256 MB |
|---|---|
| Flash memory | 32 MB |
| Noise level | 26.5 dB |
| Mean time between failures (MTBF) | 502509 h |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 474.3 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 48 |
| Total Power over Ethernet (PoE) budget | 375 W |
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 1617.36 BTU/h |
Weight & dimensions
| Width | 441 mm |
|---|---|
| Depth | 270 mm |
| Height | 44 mm |
| Weight | 4.1 kg |
Packaging content
| Cables included | AC |
|---|---|
| Rack mount kit | Yes |
Packaging data
| Package width | 616 mm |
|---|---|
| Package depth | 355 mm |
| Package height | 107 mm |
| Package weight | 5.25 kg |
Certificates
| Certification | RoHS |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






